﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link rel="stylesheet" href="Content/jQuery.FileUpload/css/jquery.fileupload.css">
    <link rel="stylesheet" href="Content/bootstrap.min.css">
    <title></title>
    <script src="Scripts/jquery-1.9.1.js"></script>
    <script src="Scripts/jquery-ui-1.9.0.js"></script>
    <script src="Scripts/jQuery.FileUpload/jquery.iframe-transport.js"></script>
    <script src="Scripts/jQuery.FileUpload/jquery.fileupload.js"></script>
    <script>
        $(function () {
            var url = '/FileUpload.ashx';
            $('#fileupload').fileupload({
                url: url,
                add: function (e, data) {
                    $.each(data.files, function (index, file) {
                        $('#txtFileName').val(file.name);

                    });

                    $('#btnUpload').click(function() {
                        data.submit();
                    });
                },
                done: function (e, data) {
                    data.context.text('Upload finished.');
                }

            }).on('fileuploadprogressall', function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress .progress-bar').css(
                    'width',
                    progress + '%'
                ).text(progress + '%');

            });
        });
    </script>
</head>
<body>
    <div class="panel">
        <div class="panel-heading">
            <h3>Upload a file</h3>
        </div>
        <div class="panel-body">
            <form id="form1" runat="server" class="form-horizontal" enctype="multipart/form-data">
                <div class="form-group">
                    <div class="col-sm-5">
                        <input type="text" id="txtFileName" name="fname" class="form-control" disabled="" />
                    </div>
                    <div class="col-sm-3">
                        <span class="btn btn-primary fileinput-button col-sm-12">
                            <i class="glyphicon glyphicon-plus"></i>
                            <span>Add files...</span>
                            <input id="fileupload" type="file" name="files[]" />
                        </span>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-8">
                        <div id="progress" class="progress">
                          <div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" ></div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-8">
                        <span id="btnUpload" class="btn btn-success fileinput-button col-sm-12">
                            <i class="glyphicon glyphicon-upload"></i>
                            <span>Start upload</span>
                        </span>
                    </div>
                </div>
            </form>
        </div>

    </div>
</body>
</html>
